Subject: solicit feedback to the restructured draft-ietf-net2cloud-problem-statement & draft-ietf-net2cloud-gap-analysis

From: Linda Dunbar <[email-masked]>
Date: Mon, 27 Jul 2020 17:53:40 +0000

Chris,

It is very unfortunate that I had audio problem in Meetecho at today's RTGwg session. I can't hear from the Meetecho when I talk. I am not sure when my mic was muted.

After IETF106, we have made significant improvement. Removed all reference to SDWAN. And have the drafts mainly focusing on the problems associated with interconnecting branch offices with dynamic workloads in Cloud DCs, specifically  on problems that need additional work in IETF Routing area.

Based on the feedback from NANOG and DNS WG and DNSOps WG, we added the sections to describe the problems for DNS for workload in Cloud DCs:

>       DNS for Cloud Resources
*       Need to establish policies and rules on how/where to forward DNS queries to

      Cloud's DNS can be configured to forward queries to customer managed authoritative DNS servers hosted on-premises, and to respond to DNS queries forwarded by on-premises DNS servers.
*       Collisions can still occur. Better to use the global domain name even when an organization does not make all its namespace globally resolvable
>       DNS based solution to reach App Instances in the optimal Cloud DC locations (Cloud discovery)
*       Dependent on client behavior
*       Client can cache results indefinitely
*       Client may not receive service even though there are servers available (before cache timeout) in another Cloud DC
*       No inherent leverage of proximity information present in the network (routing) layer, resulting in loss of performance
*       Client on the west coast can be mapped to DC on the east coast
*       Inflexible traffic control:
*       Local DNS resolver become the unit of traffic management

Main Network issues of Site <-> Cloud & Cloud <-> Cloud include:

>        Problems associated with Multiple Cloud DC Interconnection
         Different Cloud providers have different access method.  Today you have to hairpin the traffic to customer GWs
>       Multiple types of connections to workloads in a Cloud DCs
*       it is not visible to Apps in a Cloud  DC what type of network access is used.
>       IPsec P2P doesn't scale well with Multipoint mesh connection & poor performance.
>       unknown segments --> difficult to collect end to end performance metrics
>       Problems of MPLS based VPN extending to Hybrid Cloud DC
*       PE might not have direct connections to Cloud DCs

Can you please provide some concrete feedback on drafts? Or request other Areas Directorate to provide feedback?

We greatly appreciate your help and guidance.

Sincerely,

Linda Dunbar